@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@400;700&display=swap');

* {
	margin: 0;
}

body {
	font-family: Caveat, sans-serif;
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100vh;
}

#bkg-image-color {
	position: fixed;
	left: 0;
	top: 0;
	z-index: -100;
	height: 100%;
	width: 100%;
	background-color: #035283;
}

#bkg-image {
	height: calc(100% + 40px);
	width: calc(100% + 40px);
	transform: translate(-20px, -20px);
	background-image: url(./images/chuckandmissy-swiss-train.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	filter: blur(5px);
	mix-blend-mode: luminosity;
	opacity: 30%;
}

#hero-container {
	width: 50vw;
	max-width: 1200px;
	height: 80vh;
	border-radius: 16px;
	overflow: hidden;
	filter: drop-shadow(0 30px 20px #012f4c);
}

#hero-image {
	background-image: url(./images/chuckandmissy-swiss-train.jpg);
	background-position: center;
	background-size: cover;
	height: 85%;
	width: 100%;
}

#hero-info {
	background-color: #ffe250;
	height: 15%;
	display: flex;
	align-items: center;
	justify-content: center;
}

#hero-title {
	color: black;
	letter-spacing: 0.3ch;
	font-weight: 400;
	font-size: 3rem;
	cursor: default;
}

#hero-title a {
	color: inherit;
	font-weight: 700;
	text-decoration: none;
	transition: color 300ms;
}

#hero-title a:hover {
	color: #0075bd;
}

@media (max-width: 1000px) {
	#hero-container {
		width: 80vw;
	}
}

@media (max-width: 600px) {
	#hero-container {
		width: 90vw;
	}
	#hero-title {
		font-size: 2rem;
	}
}
